<?php

if (core::ifPost("from") AND core::getPost("from") == "rh-temp-to-mysql") {

    // Backup
    (backup::create()) ? alert::recSuccess("Backup des données OK") : alert::recError("Backup des données KO");
    
    $json = salaries::create_rapport();
    salaries::update_json_excel($json);
    json::create("excel");
    
    alert::recSuccess(salaries::get_excel_name(core::getPost("excel")) . " a bien été importé");
    
    salaries::update_salaries(core::getPost("excel"));
    salaries::clean_tmp();
    json::create("salaries");
    salaries::excel_update_in_progress(core::getPost("excel"), 0);

    (file::cleanFilesByOrder(DIR_BACKUP)) ? alert::recSuccess("Clean backup des données OK") : alert::recError("Clean backup des données KO");

    header("Location: /rh-historique-excel.html");
    exit();
} else {
    header('HTTP/1.0 401 Unauthorized');
    exit();
}

